%define name libqwt
%define version 4.2.0
%define release 1mdk

%define realname qwt
%define major 4
%define libname %mklibname %{realname} %major
%define libnamedev %mklibname %{realname} %major -d


Name: %name
Version: %version
Release: %release
Summary: 2D plotting widget extension to the Qt GUI
License: LGPL
Group: System/Libraries
Url: http://sourceforge.net/projects/qwt
Source: %realname-%version.tar.bz2
%define qtdir %_libdir/qt3

# Automatically added by buildreq on Fri Dec 03 2004
BuildRequires: fontconfig freetype2 gcc-c++ qt3-devel libstdc++-devel libxorg-x11 XFree86-devel

BuildRoot: %{_tmppath}/%{name}-root

%description
Qwt is an extension to the Qt GUI library from Troll Tech AS.
The Qwt library contains widgets and components which are
primarily useful for technical and scientifical purposes.
It includes a 2-D plotting widget, different kinds of sliders,
and much more.

%package -n %libname 
Summary: 2D plotting widget extension to the Qt GUI
Group: System/Libraries

%description -n %libname
The libqwt-devel package contains the header files and static libraries
necessary for developing programs using the Qwt Widget set

If you want to develop programs which will use this set of widgets,
you should install this package. You need also to install the libqwt package.

%package -n %libnamedev
Summary: Development tools for programs which uses Qwt Widget set
Group: System/Libraries
Requires: %libname = %version
Provides: libqwt-devel

%description -n %libnamedev
The libqwt-devel package contains the header files and static libraries
necessary for developing programs using the Qwt Widget set

If you want to develop programs which will use this set of widgets,
you should install this package. You need also to install the libqwt package.

%prep
%setup -q -n %realname-%version

%build
export QTDIR=%qtdir
export PATH=$QTDIR/bin:$PATH
qmake qwt.pro
make
(cd examples; qmake examples.pro -o Makefile; make)
(cd designer; qmake qwtplugin.pro -o Makefile; make)

%install
mkdir -p %{buildroot}%{qtdir}/include/qwt
mkdir -p %{buildroot}%{_mandir}/man3
mkdir -p %{buildroot}%{_libdir}

for n in include/*.h ; do
    install -m 644 $n %{buildroot}%{qtdir}/include/qwt
done

# install, preserving links
chmod 644 lib/libqwt.so*
for n in lib/libqwt.so* ; do
    cp -d $n %{buildroot}/%{_libdir}
done

# build the designer plugin
if [ -e $QTDIR/bin/qmake ]; then
    (cd designer; make install INSTALL_ROOT=%{buildroot})
    echo "%qtdir/plugins/designer/libqwtplugin.so" > plugin.list
else
    echo >plugin.list
fi

for n in doc/man/man3/*.3 ; do
    install -m 644 $n %{buildroot}/%{_mandir}/man3
done

# clean up the example tree
(cd examples; make distclean)
(cd examples; rm -f .*.cache */.*.cache */*/.*.cache)
(cd examples; rm -rf Makefile */moc */obj */*/moc */*/obj)

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %libname
%defattr (-,root,root)
%doc CHANGES COPYING README
%_libdir/libqwt.so.*
%_docdir/libqwt1-%{version}/

%files -n %libnamedev -f plugin.list
%defattr (-,root,root)
%doc COPYING doc/html/*.css doc/html/*.html doc/html/*.gif doc/html/*.png
%doc examples
%_docdir/libqwt1-devel-%{version}/
%qtdir/include/qwt
%_libdir/libqwt.so
%_mandir/man3/*

%changelog
* Wed Mar 02 2005 Olivier Lahaye <olivier.lahaye1@free.Fr> 1mdk
- port spec to Mandrake 10.1

* Fri Feb 11 2005 Vitaly Lipatov <lav@altlinux.ru> 4.2.0-alt2
- move libraries to %_libdir, fix .so placement

* Fri Dec 03 2004 Vitaly Lipatov <lav@altlinux.ru> 4.2.0-alt1
- first build for ALT Linux Sisyphus

* Mon Oct 15 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3.0-3mdk
- rebuild against new libpng

* Mon Aug 20 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3.0-2mdk
- rebuild

* Tue Jan 26 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3.0-1mdk
- added by Stefano Borini <munehiro@ferrara.linux.it> :
	- First RPM release

